# TODO: integration with other Scheme implementations (see Makefile catalogs target)
Summary:	Scheme library
Summary(pl.UTF-8):	Biblioteka Scheme
Name:		slib
Version:	3b4
Release:	2
License:	distributable (BSD and Public Domain parts)
Group:		Development/Languages/Scheme
Source0:	http://groups.csail.mit.edu/mac/ftpdir/scm/%{name}-%{version}.tar.gz
# Source0-md5:	dcada65c4df4209c8f71211095bcef8e
Patch0:		%{name}-info.patch
URL:		http://people.csail.mit.edu/jaffer/SLIB.html
BuildRequires:	texinfo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SLIB is a portable scheme library meant to provide compatibility and
utility functions for all standard scheme implementations. Slib
conforms to Revised^5 Report on the Algorithmic Language Scheme and
the IEEE P1178 specification.

%description -l pl.UTF-8
SLIB jest przenośną biblioteką scheme mającą zapewnić kompatybilność i
funkcje użytkowe dla wszystkich implementacji scheme. SLIB jest zgodne
ze specyfikacją Revised^5 Report on the Algorithmic Language Scheme
oraz IEEE P1178.

%package -n guile-slib
Summary:	Scheme library for Guile
Summary(pl.UTF-8):	Biblioteka Scheme dla Guile
Group:		Development/Languages/Scheme
Requires(post):	/usr/bin/guile
Requires:	%{name} = %{version}-%{release}
Requires:	guile >= 5:2.0

%description -n guile-slib
SLIB is a portable scheme library meant to provide compatibility and
utility functions for all standard scheme implementations. Slib
conforms to Revised^5 Report on the Algorithmic Language Scheme and
the IEEE P1178 specification.

This package integrates SLIB with Guile implementation.

%description -n guile-slib -l pl.UTF-8
SLIB jest przenośną biblioteką scheme mającą zapewnić kompatybilność i
funkcje użytkowe dla wszystkich implementacji scheme. SLIB jest zgodne
ze specyfikacją Revised^5 Report on the Algorithmic Language Scheme
oraz IEEE P1178.

Ten pakiet integruje SLIB z implementacją Guile.

%package -n scm-slib
Summary:	Scheme library for SCM
Summary(pl.UTF-8):	Biblioteka Scheme dla SCM-a
Group:		Development/Languages/Scheme
Requires(post):	/usr/bin/scm
Requires:	%{name} = %{version}-%{release}
Requires:	scm

%description -n scm-slib
SLIB is a portable scheme library meant to provide compatibility and
utility functions for all standard scheme implementations. Slib
conforms to Revised^5 Report on the Algorithmic Language Scheme and
the IEEE P1178 specification.

This package integrates SLIB with SCM implementation.

%description -n scm-slib -l pl.UTF-8
SLIB jest przenośną biblioteką scheme mającą zapewnić kompatybilność i
funkcje użytkowe dla wszystkich implementacji scheme. SLIB jest zgodne
ze specyfikacją Revised^5 Report on the Algorithmic Language Scheme
oraz IEEE P1178.

Ten pakiet integruje SLIB z implementacją SCM.

%prep
%setup -q
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_datadir}/slib,%{_bindir},%{_mandir}/man1}

cp -p *.scm $RPM_BUILD_ROOT%{_datadir}/slib
cp -p guile.init guile-2.init $RPM_BUILD_ROOT%{_datadir}/slib
cp -p scm.init $RPM_BUILD_ROOT%{_datadir}/slib
# TODO (and possibly other, not present yet in PLD)
#cp -p scheme48.init umbscheme.init $RPM_BUILD_ROOT%{_datadir}/slib

cat > $RPM_BUILD_ROOT%{_bindir}/slib <<EOF
#!/bin/sh
SCHEME_LIBRARY_PATH=%{_datadir}/slib/
EOF
cat slib.sh >>$RPM_BUILD_ROOT%{_bindir}/slib

install slib.1 $RPM_BUILD_ROOT%{_mandir}/man1
install slib.info $RPM_BUILD_ROOT%{_infodir}

# guile
install -d $RPM_BUILD_ROOT%{_datadir}/guile/site/2.0
:> $RPM_BUILD_ROOT%{_datadir}/guile/site/2.0/slibcat

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post -n guile-slib
# old (guile < 2) location
rm -f %{_datadir}/guile/site/slibcat
umask 022
/usr/bin/guile -l %{_datadir}/slib/guile.init -c "(use-modules (ice-9 slib)) (require 'new-catalog)" >/dev/null 2>&1

%post -n scm-slib
umask 022
scm -c "(require 'new-catalog)" >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ANNOUNCE COPYING ChangeLog FAQ README
%attr(755,root,root) %{_bindir}/slib
%dir %{_datadir}/slib
%{_datadir}/slib/*.scm
%{_mandir}/man1/slib.1*
%{_infodir}/slib.info*

%files -n guile-slib
%defattr(644,root,root,755)
%{_datadir}/slib/guile.init
%{_datadir}/slib/guile-2.init
%ghost %{_datadir}/guile/site/2.0/slibcat

%files -n scm-slib
%defattr(644,root,root,755)
%{_datadir}/slib/scm.init
# impossible due to main package being noarch
#%ghost %{_libdir}/scm/slibcat
%changelog
* Mon Apr 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/slib.git;a=log;h=master

* Mon Apr 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 98ca6d2
- added scm integration package (here, not in scm, to handle slib upgrades)
- release 2

* Fri Apr 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 195a67d
- updated to 3b4 (now with proper guile 2 support)
- split into common and guile-specific part

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 47f4147
- updated URLs
- updated to 3b3
- trying to get it work with guile 2.0 (no success yet), release 0.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 26cb33d
- dropped pre-cvs changelog

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8d5fc77
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 4805868
- updated to 3a5
- updated info patch to use guile-specific dircategory
- fixed License information, include COPYING
- restored proper post, no longer fails

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 3b3d970
- use guile-specific dircategory

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e7ef4cf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f2537dd
- converted to UTF-8

* Sat Dec 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 16c62ae
- updated to 3a4, updated info patch
- updated slibcat path for guile 1.8, install slib script

* Sat Dec 30 2006 Jakub Bogusz <qboosh@pld-linux.org> fcb1144
- don't change generated file, so it applies on 3a4 too

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> f6cdf4b
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 0451a7e
- BR: texinfo

* Tue Aug 31 2004 undefine <undefine@pld-linux.org> 49ad5ac
- release 2

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> e66de85
- updated to 3a1

* Wed Sep 03 2003 grzegol <grzegol@pld-linux.org> 931397a
- updated to 2d6

* Mon May 26 2003 Michal Moskal <michal@moskal.me> dfa9af5
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 24818d8
- massive attack s/pld.org.pl/pld-linux.org/

* Fri May 09 2003 Jakub Bogusz <qboosh@pld-linux.org> ca66adb
- updated to 2d5

* Fri Nov 29 2002 ankry <ankry@pld-linux.org> e5c8573
- massive attack: new %%doc

